#!/bin/sh
# 注册Moia.SMS基本运行信息
#

t02_pnode_info_init()
{
file=$1
echo "${pnode_id}|${pnode_name}|${hostname}|${pnode_desc}|1|${ip_addr}|${evt_port}|${cmd_port}|${udp_port}|${tcp_port}|${clm_port}|${lsnr_port}\
|2000|100|100|100||||${MOIADIR}/log|0|0|||" >> ${file}
}

t02_pnode_stat_init()
{
file=$1
echo "${pnode_id}|0|0|0|0|0|0|2000|0|0|0|0|||" >> ${file}
}

t02_pnode_resinfo_init()
{
file=$1
DSSERVER=`echo $DSHOME|sed -e 's/\/DSEngine//g'`
echo "${pnode_id}|disk|${DSSERVER}/Datasets|\"\"||0|0|||" >> ${file}
echo "${pnode_id}|scratchdisk|${DSSERVER}/Scratch|\"\"||0|0|||" >> ${file}
}

t02_proc_info_init()
{
file=$1
file2=t02_proc_stat
get_uuid
echo "${G_uuid}|MTaskScan|${pnode_id}||0|0|||" >> ${file}
scanid=${G_uuid}

get_uuid
echo "${G_uuid}|MTaskRes|${pnode_id}||0|0|||" >> ${file}
resid=${G_uuid}

get_uuid
echo "${G_uuid}|MTaskDec|${pnode_id}||0|0|||" >> ${file}
decid=${G_uuid}

get_uuid
echo "${G_uuid}|MCtrlSrv|${pnode_id}||0|0|||" >> ${file}
ctrlid=${G_uuid}

get_uuid
echo "${G_uuid}|MTimeScan|${pnode_id}||0|0|||" >> ${file}
timeid=${G_uuid}

get_uuid
echo "${G_uuid}|MCmdSrv|${pnode_id}||0|0|||" >> ${file}
cmdid=${G_uuid}

get_uuid
echo "${G_uuid}|MClmSrv|${pnode_id}||0|0|||" >> ${file}
clmid=${G_uuid}

get_uuid
echo "${G_uuid}|MDataSync|${pnode_id}||0|0|||" >> ${file}
dataid=${G_uuid}

get_uuid
echo "${G_uuid}|MAppSend|${pnode_id}||0|0|||" >> ${file}
sendid=${G_uuid}
}

t02_proc_stat_init()
{
file=$1
echo "${scanid}|MoiaControl|0|2|空闲|0|0|||" >> ${file}
echo "${resid}|MoiaControl|0|2|空闲|0|0|||" >> ${file}
echo "${decid}|MoiaControl|0|2|空闲|0|0|||" >> ${file}
echo "${ctrlid}|MoiaControl|0|2|空闲|0|0|||" >> ${file}
echo "${timeid}|MoiaControl|0|2|空闲|0|0|||" >> ${file}
echo "${cmdid}|MoiaControl|0|2|空闲|0|0|||" >> ${file}
echo "${clmid}|MoiaControl|0|2|空闲|0|0|||" >> ${file}
echo "${dataid}|MoiaControl|0|2|空闲|0|0|||" >> ${file}
echo "${sendid}|MoiaControl|0|2|空闲|0|0|||" >> ${file}
}

t02_sms_param_init()
{
file=$1
echo "MoiaControl|30|10|10|10|10|0|30|-9|50|0|0|0|||||25|0|0|0|||" >> ${file}
}

t02_sms_user_init()
{
file=$1
echo "0|admin|21232f297a57a5a743894a0e4a801fc3|1|1|00000||||||" >> ${file}
}

t04_cale_class_init()
{
file=$1
echo "0001|SYS_EVERYDAY_CALENDAR|Execute on Everyday|0|0|||" >>${file}
echo "0002|SYS_WORKDAY_CALENDAR|Execute on WorkDay|0|0|||" >>${file}
echo "0003|SYS_MONTH_BEGIN_CALENDAR|Execute on the First Day of Every Month|0|0|||" >>${file}
echo "0004|SYS_MONTH_END_CALENDAR|Execute on the Last Day of Every Month|0|0|||" >>${file}
}

t04_cale_fmt_init()
{
file=$1
echo "0001|0001|0|YYYYMMDD|0|0|||" >>${file}

echo "0002|0002|1|MON|0|0|||" >>${file}
echo "0003|0002|1|TUE|0|0|||" >>${file}
echo "0004|0002|1|WED|0|0|||" >>${file}
echo "0005|0002|1|THU|0|0|||" >>${file}
echo "0006|0002|1|FRI|0|0|||" >>${file}
echo "0007|0003|0|YYYYMM01|0|0|||" >>${file}
echo "0008|0004|0|YYYYMMEN|0|0|||" >>${file}
}

t04_ret_class_init()
{
file=$1
echo "0001|SYS_CMD_RETURN_CLASS|CMD Job Return Class of System Define|0|0|0|0|||" >>${file}
echo "0002|SYS_DS_RETURN_CLASS|DataStage Job Return Class of System Define|0|0|0|0|||" >>${file}
}

t04_ret_code_init()
{
file=$1
echo "0001|0001|0|Run successful|0|0|0|0|0|||" >>${file}
echo "0002|0002|1|Run successful|0|0|0|0|0|||" >>${file}
echo "0003|0002|2|Run successful with warning|2|0|0|0|0|||" >>${file}
}

t02_sms_menu_init()
{
file=$1
#echo "35|任务|0|3|24|1|/error/dog.jsp|0|2|0|icon-menu-task|" >> ${file}
#echo "0|MoiaControl|1|0||1||1|1|0||" >> ${file}
#echo "1|系统管理|1|1|0|1||1|1|0|images/menus/sys_mng.png|" >> ${file}
#echo "2|开发管理|1|1|0|1||1|5|0|images/menus/dev_mng.png|" >> ${file}
#echo "3|监控管理|1|1|0|1||1|9|0|images/menus/mon_mng.png|" >> ${file}
#echo "4|系统参数配置|0|2|1|1|/sms/sysmng/sysParamList.jsp|1|2|0|icon-menu-sys-param|" >> ${file}
#echo "5|用户管理|0|2|1|1|/admin/userList.jsp|1|5|0|icon-menu-user|" >> ${file}
#echo "6|角色管理|0|2|1|1|/admin/roleManage.jsp|1|4|0|icon-menu-role|" >> ${file}
#echo "7|机构管理|0|2|1|1|/sms/sysmng/orgList.jsp|1|13|0|icon-menu-org|" >> ${file}
#echo "8|物理节点管理|0|2|1|1|/sms/sysmng/pndList.jsp|1|17|0|icon-menu-pnode|" >> ${file}
#echo "9|执行域管理|0|2|1|1|/sms/sysmng/etlList.jsp|1|21|0|icon-menu-domain|" >> ${file}
#echo "10|数据库管理|0|2|1|1|/sms/sysmng/dbsInfoList.jsp|1|25|0|icon-menu-db|" >> ${file}
#echo "11|独立资源管理|0|2|1|1|/sms/sysmng/indepInfoList.jsp|1|29|0|icon-menu-indep-res|" >> ${file}
#echo "36|流程|0|3|24|1|/error/dog.jsp|0|3|0|icon-menu-seq|" >> ${file}
#echo "37|计划|0|3|24|1|/error/dog.jsp|0|4|0|icon-menu-task|" >> ${file}
#echo "38|程序|0|3|24|1|/error/dog.jsp|0|5|0|icon-menu-program|" >> ${file}
#echo "39|批量导入|0|3|23|1|/sms/excel/excelDownload.jsp|1|1|0|icon-menu-excel-import|" >> ${file}
#echo "40|批量导出|0|3|23|1|/sms/excel/excelExport.jsp|1|2|0|icon-menu-excel-export|" >> ${file}
#echo "41|系统视图配置|0|3|26|1|/sms/view/sysViewConf.jsp|1|1|0|icon-menu-sys-view-conf|" >> ${file}
#echo "42|系统视图监控|0|3|26|1|/sms/view/sysViewMon.jsp|1|2|0|icon-menu-sys-view-mon|" >> ${file}
#echo "58|用户视图配置|0|3|26|1|/sms/view/userViewConf.jsp|1|3|0|icon-menu-user-view-conf|" >> ${file}
#echo "59|用户视图监控|0|3|26|1|/sms/view/userViewMon.jsp|1|4|0|icon-menu-user-view-mon|" >> ${file}
#echo "43|初始化管理|0|3|27|1|/sms/monitor/planInit.jsp|1|1|0|icon-menu-plan-csh|" >> ${file}
#echo "44|计划监控|0|3|27|1|/sms/monitor/planStateList.jsp|1|2|0|icon-menu-plan-monitor|" >> ${file}
#echo "45|作业监控|0|3|27|1|/sms/monitor/statusJobList.jsp|1|3|0|icon-menu-job-monitor|" >> ${file}
#echo "46|计划日志|0|3|29|1|/sms/monitor/logPlanList.jsp|1|1|0|icon-menu-plan-log|" >> ${file}
#echo "47|任务日志|0|3|29|1|/sms/monitor/logTaskList.jsp|1|2|0|icon-menu-task-log|" >> ${file}
#echo "48|作业日志|0|3|29|1|/sms/monitor/logJobList.jsp|1|3|0|icon-menu-job-log|" >> ${file}
#echo "49|运行时长报告|0|3|31|1|/sms/monitor/cntList.jsp|0|1|0|icon-menu-report-duration|" >> ${file}
#echo "50|作业错误报告|0|3|31|1|/error/dog.jsp|0|2|0|icon-menu-report-err|" >> ${file}
#echo "51|计划配置|0|4|41|1|/error/dog.jsp|0|1|0|icon-menu-plan|" >> ${file}
#echo "52|任务配置|0|4|41|1|/error/dog.jsp|0|2|0|icon-menu-task|" >> ${file}
#echo "53|作业配置|0|4|41|1|/error/dog.jsp|0|3|0|icon-menu-job|" >> ${file}
#echo "54|计划监控|0|4|42|1|/error/dog.jsp|0|1|0|icon-menu-plan|" >> ${file}
#echo "55|任务监控|0|4|42|1|/error/dog.jsp|0|2|0|icon-menu-task|" >> ${file}
#echo "56|作业监控|0|4|42|1|/error/dog.jsp|0|3|0|icon-menu-job|" >> ${file}
#echo "12|环境变量管理|0|2|1|1|/sms/sysmng/varInfoList.jsp|1|33|0|icon-menu-env-param|" >> ${file}
#echo "13|部署管理|1|2|1|1||1|41|0|icon-menu-deploy|" >> ${file}
#echo "14|操作日志查询|0|2|1|1|/sms/sysmng/operLogList.jsp|1|37|0|icon-menu-oper-log|" >> ${file}
#echo "57|版本管理|0|2|1|1|/sms/sysmng/versionMng.jsp|1|39|0|icon-menu-version|" >> ${file}
#echo "15|菜单管理|0|2|1|1|/admin/menuManage.jsp|0|45|0|icon-menu-menu|" >> ${file}
#echo "16|公共代码管理|0|2|1|1|/sms/sysmng/pubcodeList.jsp|0|49|0|icon-menu-public-code|" >> ${file}
#echo "17|程序管理|0|2|2|1|/sms/conf/programInfoList.jsp|1|1|0|icon-menu-program|" >> ${file}
#echo "18|任务管理|0|2|2|1|/sms/task/tasklist.jsp|1|5|0|icon-menu-task|" >> ${file}
#echo "19|计划管理|0|2|2|1|/sms/plan/planlist.jsp|1|9|0|icon-menu-plan|" >> ${file}
#echo "20|事件管理|0|2|2|1|/sms/evt/evtlist.jsp|1|13|0|icon-menu-event|" >> ${file}
#echo "21|日历管理|0|2|2|1|/sms/cale/calelist.jsp|1|17|0|icon-menu-calendar|" >> ${file}
#echo "22|返回值管理|0|2|2|1|/sms/retclass/retClassList.jsp|1|21|0|icon-menu-ret-val|" >> ${file}
#echo "23|Excel批量开发|1|2|2|1||1|25|0|icon-menu-excel|" >> ${file}
#echo "24|批量修改|1|2|2|1||0|29|0|icon-menu-bat-modify|" >> ${file}
#echo "25|仪表盘|0|2|3|1|/sms/monitor/dashboardList.jsp|0|1|0|icon-menu-panel|" >> ${file}
#echo "26|全局视图|1|2|3|1||1|5|0|icon-menu-view|" >> ${file}
#echo "27|调度对象|1|2|3|1||1|9|0|icon-menu-obj-mon|" >> ${file}
#echo "28|物理节点|0|2|3|1|/sms/monitor/pnodeStateList.jsp|1|17|0|icon-menu-pnode-monitor|" >> ${file}
#echo "29|调度日志|1|2|3|1||1|13|0|icon-menu-schedule-log|" >> ${file}
#echo "30|错误日志|0|2|3|1|/sms/monitor/errLogList.jsp|0|21|0|icon-menu-err-log|" >> ${file}
#echo "31|运行报告|0|2|3|1|/sms/monitor/cntList.jsp|1|25|0|icon-menu-report|" >> ${file}
#echo "32|部署导出|0|3|13|1|/sms/deploy/export/export.jsp|1|1|0|icon-menu-deploy-out|" >> ${file}
#echo "33|部署导入|0|3|13|1|/sms/deploy/import/import.jsp|1|2|0|icon-menu-deploy-in|" >> ${file}
#echo "34|作业|0|3|24|1|/error/dog.jsp|0|1|0|icon-menu-job|" >> ${file}
#echo "60|权限组管理|0|2|1|1|/sms/group/groupList.jsp|1|7|0|icon-menu-sms-group|" >> ${file}
#echo "61|文件监控|0|2|3|1|/sms/monitor/statusFileList.jsp|1|10|0|icon-menu-file|" >> ${file}
#echo "62|作业管理|0|2|2|1|/sms/job/joblist.jsp|1|10|0|icon-menu-job|" >> ${file}
#echo "63|事件监控|0|2|3|1|/sms/monitor/statusEvtList.jsp|1|11|0|icon-menu-event|" >> ${file}
#echo "66|License管理|0|2|1|1|/sms/env/licenseMgr.jsp|1|40|0|icon-menu-version|" >> ${file}

echo "0|MoiaControl|1|0||1||1|1|0||" >> ${file}
echo "1|系统管理|1|1|0|1||1|1|0|images/menus/sys_mng.png|" >> ${file}
echo "2|开发管理|1|1|0|1||1|5|0|images/menus/dev_mng.png|" >> ${file}
echo "3|监控管理|1|1|0|1||1|9|0|images/menus/mon_mng.png|" >> ${file}
echo "4|系统参数配置|0|2|1|1|/sms/sysmng/sysParamList.jsp|1|2|0|icon-menu-sys-param|" >> ${file}
echo "5|用户管理|0|2|1|1|/admin/userList.jsp|1|5|0|icon-menu-user|" >> ${file}
echo "6|角色管理|0|2|1|1|/admin/roleManage.jsp|1|4|0|icon-menu-role|" >> ${file}
echo "7|机构管理|0|2|1|1|/sms/sysmng/orgList.jsp|1|13|0|icon-menu-org|" >> ${file}
echo "8|物理节点管理|0|2|1|1|/sms/sysmng/pndList.jsp|1|17|0|icon-menu-pnode|" >> ${file}
echo "9|执行域管理|0|2|1|1|/sms/sysmng/etlList.jsp|1|21|0|icon-menu-domain|" >> ${file}
echo "10|数据源管理|0|2|1|1|/sms/dataSource/dbsInfoList.jsp|1|25|0|icon-menu-db|" >> ${file}
echo "11|独立资源管理|0|2|1|1|/sms/sysmng/indepInfoList.jsp|1|29|0|icon-menu-indep-res|" >> ${file}
echo "12|环境变量管理|0|2|1|1|/sms/sysmng/varInfoList.jsp|1|33|0|icon-menu-env-param|" >> ${file}
echo "13|部署管理|1|2|1|1||1|41|0|icon-menu-deploy|" >> ${file}
echo "14|操作日志查询|0|2|1|1|/sms/sysmng/operLogList.jsp|1|37|0|icon-menu-oper-log|" >> ${file}
echo "35|任务|0|3|24|1|/error/dog.jsp|0|2|0|icon-menu-task|" >> ${file}
echo "36|流程|0|3|24|1|/error/dog.jsp|0|3|0|icon-menu-seq|" >> ${file}
echo "37|计划|0|3|24|1|/error/dog.jsp|0|4|0|icon-menu-task|" >> ${file}
echo "38|程序|0|3|24|1|/error/dog.jsp|0|5|0|icon-menu-program|" >> ${file}
echo "39|批量导入|0|3|23|1|/sms/excel/excelDownload.jsp|1|1|0|icon-menu-excel-import|" >> ${file}
echo "40|批量导出|0|3|23|1|/sms/excel/excelExport.jsp|1|2|0|icon-menu-excel-export|" >> ${file}
echo "41|系统视图配置|0|3|26|1|/sms/view/sysViewConf.jsp|1|1|0|icon-menu-sys-view-conf|" >> ${file}
echo "42|系统视图监控|0|3|26|1|/sms/view/sysViewMon.jsp|1|2|0|icon-menu-sys-view-mon|" >> ${file}
echo "58|用户视图配置|0|3|26|1|/sms/view/userViewConf.jsp|1|3|0|icon-menu-user-view-conf|" >> ${file}
echo "59|用户视图监控|0|3|26|1|/sms/view/userViewMon.jsp|1|4|0|icon-menu-user-view-mon|" >> ${file}
echo "43|初始化管理|0|3|27|1|/sms/monitor/planInit.jsp|1|1|0|icon-menu-plan-csh|" >> ${file}
echo "44|计划监控|0|3|27|1|/sms/monitor/planStateList.jsp|1|2|0|icon-menu-plan-monitor|" >> ${file}
echo "45|作业监控|0|3|27|1|/sms/monitor/statusJobList.jsp|1|3|0|icon-menu-job-monitor|" >> ${file}
echo "46|计划日志|0|3|29|1|/sms/monitor/logPlanList.jsp|1|1|0|icon-menu-plan-log|" >> ${file}
echo "47|任务日志|0|3|29|1|/sms/monitor/logTaskList.jsp|1|2|0|icon-menu-task-log|" >> ${file}
echo "48|作业日志|0|3|29|1|/sms/monitor/logJobList.jsp|1|3|0|icon-menu-job-log|" >> ${file}
#echo "49|运行时长报告|0|3|31|1|/sms/monitor/cntList.jsp|1|1|0|icon-menu-report-duration|" >> ${file}
#echo "50|作业错误报告|0|3|31|1|/error/dog.jsp|1|2|0|icon-menu-report-err|" >> ${file}
echo "51|计划配置|0|4|41|1|/error/dog.jsp|0|1|0|icon-menu-plan|" >> ${file}
echo "52|任务配置|0|4|41|1|/error/dog.jsp|0|2|0|icon-menu-task|" >> ${file}
echo "53|作业配置|0|4|41|1|/error/dog.jsp|0|3|0|icon-menu-job|" >> ${file}
echo "54|计划监控|0|4|42|1|/error/dog.jsp|0|1|0|icon-menu-plan|" >> ${file}
echo "55|任务监控|0|4|42|1|/error/dog.jsp|0|2|0|icon-menu-task|" >> ${file}
echo "56|作业监控|0|4|42|1|/error/dog.jsp|0|3|0|icon-menu-job|" >> ${file}
echo "57|版本管理|0|2|1|1|/sms/sysmng/versionMng.jsp|1|39|0|icon-menu-version|" >> ${file}
echo "15|菜单管理|0|2|1|1|/admin/menuManage.jsp|0|45|0|icon-menu-menu|" >> ${file}
echo "16|公共代码管理|0|2|1|1|/sms/sysmng/pubcodeList.jsp|0|49|0|icon-menu-public-code|" >> ${file}
echo "17|程序管理|0|2|2|1|/sms/conf/programInfoList.jsp|1|1|0|icon-menu-program|" >> ${file}
echo "18|任务管理|0|2|2|1|/sms/task/tasklist.jsp|1|5|0|icon-menu-task|" >> ${file}
echo "19|计划管理|0|2|2|1|/sms/plan/planlist.jsp|1|9|0|icon-menu-plan|" >> ${file}
echo "20|事件管理|0|2|2|1|/sms/evt/evtlist.jsp|1|13|0|icon-menu-event|" >> ${file}
echo "21|日历管理|0|2|2|1|/sms/cale/calelist.jsp|1|17|0|icon-menu-calendar|" >> ${file}
echo "22|返回值管理|0|2|2|1|/sms/retclass/retClassList.jsp|1|21|0|icon-menu-ret-val|" >> ${file}
echo "23|Excel批量开发|1|2|2|1||1|25|0|icon-menu-excel|" >> ${file}
echo "24|批量修改|1|2|2|1||0|29|0|icon-menu-bat-modify|" >> ${file}
echo "25|仪表盘|0|2|3|1|/sms/monitor/dashboardList.jsp|0|1|0|icon-menu-panel|" >> ${file}
echo "26|全局视图|1|2|3|1||1|5|0|icon-menu-view|" >> ${file}
echo "27|调度对象|1|2|3|1||1|9|0|icon-menu-obj-mon|" >> ${file}
echo "28|物理节点|0|2|3|1|/sms/monitor/pnodeStateList.jsp|1|17|0|icon-menu-pnode-monitor|" >> ${file}
echo "29|调度日志|1|2|3|1||1|13|0|icon-menu-schedule-log|" >> ${file}
echo "30|错误日志|0|2|3|1|/sms/monitor/errLogList.jsp|0|21|0|icon-menu-err-log|" >> ${file}
echo "31|运行报告|0|2|3|1|/sms/monitor/cntList.jsp|1|25|0|icon-menu-report|" >> ${file}
echo "32|部署导出|0|3|13|1|/sms/deploy/export/export.jsp|1|1|0|icon-menu-deploy-out|" >> ${file}
echo "33|部署导入|0|3|13|1|/sms/deploy/import/import.jsp|1|2|0|icon-menu-deploy-in|" >> ${file}
echo "34|作业|0|3|24|1|/error/dog.jsp|0|1|0|icon-menu-job|" >> ${file}
echo "60|权限组管理|0|2|1|1|/sms/group/groupList.jsp|1|7|0|icon-menu-sms-group|" >> ${file}
echo "61|文件监控|0|2|3|1|/sms/monitor/statusFileList.jsp|1|10|0|icon-menu-file|" >> ${file}
echo "62|作业管理|0|2|2|1|/sms/job/joblist.jsp|1|10|0|icon-menu-job|" >> ${file}
echo "63|事件监控|0|2|3|1|/sms/monitor/statusEvtList.jsp|1|11|0|icon-menu-event|" >> ${file}

echo "68|异常监控|0|2|3|1|/sms/ecp/ecpList.jsp|1|12|0|icon-menu-user-view-mon|" >> ${file}
echo "69|应用系统管理|0|2|1|1|/sms/appSys/appSysList.jsp|1|35|0|icon-menu-app-sys|" >> ${file}
echo "70|redis管理|0|2|1|1|/sms/redis/redisList.jsp|1|34|0|icon-menu-db|" >> ${file}
echo "71|系统日报|0|2|3|1|/sms/dailyReport/dailyReport.jsp|1|30|0|icon-menu-report|" >> ${file}
echo "72|程序监控|0|3|27|1|/sms/monitor/statusProcList.jsp|1|4|0|icon-menu-job-monitor|" >> ${file}

}

t02_sms_org_init()
{
file=$1
echo "0001|00000|SYS_DEFAULT_ORG|System default organization|" >>${file}
}

t03_ctrl_info_init()
{
file=$1
echo "0001|SYS_SHIFT_CTRL|Shift the Plan Once Everyday|1|MSftCtrl|0|0|||" >>${file}
echo "0002|SYS_SHIFT_NO_INTERVAL_CTRL|Shift the Plan no Interval|1|MSpeCtrl|0|0|||" >>${file}
echo "0003|SYS_LOOP_CTRL|Loop the Plan with Fixed Time|1|MLopCtrl|0|0|||" >>${file}
echo "0004|SYS_LOOP_TIME_PINTOS|Loop the Plan with Time Points|1|MLopPoint|0|0|||" >>${file}
}

t03_ctrl_param_init()
{
file=$1
get_uuid
echo "0001|2|plan_id|${G_uuid}|1|-p|plan id|[PLANID]|0|0|||" >>${file}
get_uuid
echo "0001|2|org_code|${G_uuid}|2|-o|org code|[ORGCODE]|0|0|||" >>${file}
get_uuid
echo "0001|2|curr_date|${G_uuid}|3|-d|plan current deal date |[DATE]|0|0|||" >>${file}
get_uuid
echo "0001|2|shift_time|${G_uuid}|4|-t|plan shift at this time: hhmmss|000000|0|0|||" >>${file}

get_uuid
echo "0002|2|plan_id|${G_uuid}|1|-p|plan id|[PLANID]|0|0|||" >>${file}
get_uuid
echo "0002|2|org_code|${G_uuid}|2|-o|org code|[ORGCODE]|0|0|||" >>${file}
get_uuid
echo "0002|2|curr_date|${G_uuid}|3|-d|plan current deal date |[DATE]|0|0|||" >>${file}
get_uuid
echo "0002|2|end_date|${G_uuid}|4|-e|plan shift at the end of date |19700101|0|0|||" >>${file}

get_uuid
echo "0003|2|plan_id|${G_uuid}|1|-p|plan id|[PLANID]|0|0|||" >>${file}
get_uuid
echo "0003|2|org_code|${G_uuid}|2|-o|org code|[ORGCODE]|0|0|||" >>${file}
get_uuid
echo "0003|2|curr_date|${G_uuid}|3|-d|plan current deal date |[DATE]|0|0|||" >>${file}
get_uuid
echo "0003|2|loop_times|${G_uuid}|4|-l|Plan Execute every some times: s|300|0|0|||" >>${file}
get_uuid
echo "0003|2|begin_time|${G_uuid}|5|-b|plan execute begin time: hhmmss|000000|0|0|||" >>${file}
get_uuid
echo "0003|2|end_time|${G_uuid}|6|-e|plan execute end time: hhmmss|240000|0|0|||" >>${file}

get_uuid
echo "0004|2|plan_id|${G_uuid}|1|-p|plan id|[PLANID]|0|0|||" >>${file}
get_uuid
echo "0004|2|org_code|${G_uuid}|2|-o|org code|[ORGCODE]|0|0|||" >>${file}
get_uuid
echo "0004|2|curr_date|${G_uuid}|3|-d|plan current deal date |[DATE]|0|0|||" >>${file}
get_uuid
echo "0004|2|time_points|${G_uuid}|4|-t|Plan loop in the time points list|000000,240000|0|0|||" >>${file}
get_uuid
echo "0004|2|force_flag|${G_uuid}|5|-f|Ignore plan stat to force deal|0|0|0|||" >>${file}
get_uuid
echo "0004|2|shift_flag|${G_uuid}|6|-s|Plan execute date shift flag|0|0|0|||" >>${file}

}

t02_sms_music_init()
{
file=$1
echo "0|flourish.mp3|0|||289085bc580000000158000f4d030002|2020-01-01 01:00:00|0|0|||" >>${file}
}

t02_daily_report_init()
{
file=$1
echo "1|00:00|30|8|0|0|||" >>${file}
}

t02_sms_overview_init()
{
file=$1
get_uuid
echo "${G_uuid}|1|1|1|1||||||||||" >> ${file}
}

t02_dbs_base_init()
{
file=$1
echo "1|ORACLE|1|||||" >> ${file}
echo "2|DB2|1|||||" >> ${file}
echo "3|INFORMIX|1|||||" >> ${file}
echo "4|HANA|1|||||" >> ${file}
echo "5|DATASERVICE|0|||||" >> ${file}
echo "6|INFORMATICA|0|||||" >> ${file}
echo "7|POSTGRESQL|1|||||" >> ${file}
echo "8|MYSQL|1|||||" >> ${file}
echo "9|GBASE|1|||||" >> ${file}
}

get_uuid()
{
G_uuid=`Muuidgen`
}

t02_pwd_pattern_info_init()
{
file=$1
echo "upeer.letter|upeerLetter|[A-Z]|验证大写字母|大写字母|1|1|" >> ${file}
echo "special.characters|specialCharacters|[~!@#$%^&*().]|验证特殊字符|特殊字符|1|0|" >> ${file}
echo "number|number|[0-9]|验证数字|数字|1|1|" >> ${file}
echo "pwd.min.length|pwdMinLength|6|密码至少多少位||1|1|" >> ${file}
echo "pwd.edit.first|pwdEditFirst|1|初次登录是否强制修改密码||0|0|" >> ${file}
echo "pwd.lock.numb|pwdLockNumb|3|最近N次修改密码不允许重复||1|0|" >> ${file}
echo "pwd.cycle.tips|pwdCycleTips|7|提前N天提醒修改密码||0|0|" >> ${file}
echo "not.included.user|notIncludedUser|1|不能包含用户名|不能包含用户名|1|0|" >> ${file}
echo "pwd.cycle.edit|pwdCycleEdit|180|密码修改周期(天)||0|0|" >> ${file}
}
############################## main ########################################

if test $# -ne 8
then
    echo "ERROR: Input parameters incorrect!"
    exit 1
fi

hostname=`hostname`
#os_name=`uname -s`
#case $os_name in
#    Linux)    
#        os_hostip=`ping -c 1 $hostname | head -1 | cut -d'(' -f2|cut -d')' -f1`
#        ;;
#    AIX)
#        os_hostip=`ping -c 1 $hostname | head -1 | cut -d'(' -f2|cut -d')' -f1`
#        ;;
#    HP-UX)
#        os_hostip=`netstat -in | awk ' { if (NR==2) print $4 } '`
#        ;;
#    SunOS)
#        os_hostip=`ping -c 1 $hostname | head -1 | cut -d'(' -f2|cut -d')' -f1`
#        ;;
#    *)
#        echo "ERROR: MOIA not support the $os_name"
#        exit 1
#        ;;
#esac
#
#if [ "X$os_hostip" = "X" ]
#then
#    echo " ERROR: Use ifconfig command Get host ip failed！"
#    exit 1
#fi


get_uuid
pnode_name=$1
pnode_id=$G_uuid
ip_addr=$2
evt_port=$3
cmd_port=$4
udp_port=$5
tcp_port=$6
clm_port=$7
lsnr_port=$8

datadir=${MOIADIR}/init/bsdata/server
if [ ! -d ${datadir} ]
then
    cd $MOIADIR
    mkdir -p init/bsdata/server
fi
today=`date +%Y%m%d`
nowtime=`date +"%Y/%m/%d %H:%M:%S"`

tablist="t02_pnode_info t02_pnode_stat t02_pnode_resinfo t02_sms_user t02_proc_info t02_proc_stat t02_sms_param t02_sms_org \
         t04_cale_class t04_cale_fmt t04_ret_class t04_ret_code t02_sms_menu t03_ctrl_info t03_ctrl_param t02_sms_music t02_daily_report \
         t02_sms_overview t02_dbs_base t02_pwd_pattern_info"

for tab in ${tablist}
do
    datafile=${datadir}/${tab}.txt
    > ${datafile}
    ${tab}_init ${datafile}
    ${MOIADIR}/bin/MParaLoad ${datafile} ${tab} replace
    if [ $? -ne 0 ]
    then
        echo "ERROR:Parameters(server) initialize failed!! Please check the log."
        exit 1
    fi
done

echo "Parameters(server) initialize successfully!!"
